<!DOCTYPE html>
<html xmlns='http://www.w3.org/1999/xhtml'
	xmlns:th='http://www.thymeleaf.org'>
<head>
<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" />
<script
	src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script
	src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
<script
	src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<link rel="stylesheet"
	href="https://cdn.datatables.net/1.10.12/css/jquery.dataTables.min.css">
<script
	src="https://cdn.datatables.net/1.10.12/js/jquery.dataTables.min.js"></script>
<script src="/js/datatable.js"></script>
<link href="https://fonts.googleapis.com/css?family=Baloo+Chettan|Germania+One|ZCOOL+XiaoWei" rel="stylesheet">
<title>Hello World!</title>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">

	<a class="navbar-brand" th:href="@{/home}">MyCrypt</a>
	<button class="navbar-toggler" type="button" data-toggle="collapse"
		data-target="#navbarNav" aria-controls="navbarNav"
		aria-expanded="false" aria-label="Toggle navigation">
		<span class="navbar-toggler-icon"></span>
	</button>
	<div class="collapse navbar-collapse" id="navbarNav">
		<ul class="navbar-nav">
			<li class="nav-item active"><a class="nav-link"
				th:href="@{/home}">Home <span class="sr-only">(current)</span></a></li>
			<li class="nav-item"><a class="nav-link"
				th:href="@{/registration}">Regisration</a></li>
			<li class="nav-item"><a class="nav-link" th:href="@{/home}">Login</a>
			</li>
			<li class="nav-item"><a class="nav-link disabled"
				th:href="@{/news}">News</a></li>
		</ul>
	</div>
</nav>

<title>Checkout</title>
<style>
.stripe-button-el { display: none }
.stripe-button-el span {
	background: -webkit-linear-gradient(left, #0072ff, #8811c5);
	text-align: center;
}

body {
	font-family: 'arial';
	
  text-align: center;

}

#form input {
height:20px; 
   

	background: -webkit-linear-gradient(left, #0072ff, #8811c5);
}

#checkout-form input, #checkout-form button {
	display: block;
	margin: 12px;
}
div {
   text-align: center;
}
.myButtton{

 background: -webkit-linear-gradient(left, #0072ff, #8811c5);
}
label{
font-family: 'ZCOOL XiaoWei', serif;
        font-size: 48px

}
.link {
	background: #000000; /* Цвет фона под заголовком */
	color: #fff; /* Цвет текста */
	text-decoration: none; /* Убирает подчеркивание для ссылок */
}



</style>
</head>
<body>
<div id="carouselExampleCaptions" class="carousel slide"
			data-ride="carousel">
			<ol class="carousel-indicators">
				<li data-target="#carouselExampleCaptions" data-slide-to="0"
					class="active"></li>
				<li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
				<li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
			</ol>
			<div class="carousel-inner">
				<div class="carousel-item active">
					<img
						src="https://miro.medium.com/max/1108/1*BkkDPs1KqIQbfSyvF6sn7A.png"
						class="d-block w-100" alt="...">
					<div class="carousel-caption d-none d-md-block">
						<h5>
							<a class="link" th:href="@{/news}">Top news about crypto
								(click here)</a>
						</h5>
						<p>
							<a class="link" th:href="@{/news}">Bitcoin is a remarkable
								cryptographic achievement and the ability to create something
								that is not duplicable in the digital world has enormous value.”
								– Eric Schmidt (CEO of Google)</a>
						</p>
					</div>
				</div>
				<div class="carousel-item">
					<img
						src="https://vladimirribakov.com/wp-content/uploads/cryptocurency1.png"
						class="d-block w-100" alt="...">
					<div class="carousel-caption d-none d-md-block">
						<h5>
							<a class="link" th:href="@{/news}">Top news about crypto
								(click here)</a>
						</h5>
						<p>
							<a class="link" th:href="@{/news}">There are three eras of
								currency: Commodity based, politically based, and now, math
								based.” – Chris Dixon</a>
						</p>
					</div>
				</div>
				<div class="carousel-item">
					<img
						src="https://calvinayre.com/wp-content/uploads/2018/07/beckys-affiliated-blockchain-crypto-tbc-igb-live-next-week3.jpg"
						class="d-block w-100" alt="...">
					<div class="carousel-caption d-none d-md-block">
						<h5>
							<a class="link" th:href="@{/news}">Top news about crypto
								(click here)</a>
						</h5>
						<p>
							<a class="link" th:href="@{/news}">Fact You Need To Know
								About Cryptocurrency - The first Bitcoin purchase was for pizza.
								― Mohsin Jameel</a>
						</p>
					</div>
				</div>
			</div>
			<a class="carousel-control-prev" href="#carouselExampleCaptions"
				role="button" data-slide="prev"> <span
				class="carousel-control-prev-icon" aria-hidden="true"></span> <span
				class="sr-only">Previous</span>
			</a> <a class="carousel-control-next" href="#carouselExampleCaptions"
				role="button" data-slide="next"> <span
				class="carousel-control-next-icon" aria-hidden="true"></span> <span
				class="sr-only">Next</span>
			</a>
		</div>
	<div>
		<form th:action="@{/charge}" method='POST' id='checkout-form'>
			<input type='hidden' th:value='${amount}' name='amount' /> <label>Donate for a good mood</label>
			<!-- NOTE: data-key/data-amount/data-currency will be rendered by Thymeleaf -->
			<script src='https://checkout.stripe.com/checkout.js'
				class='stripe-button'
				data-key="pk_test_IPuM3RMDdiKj4JuCiA2fTF0W00t46rAUgM"
				th:attr='data-amount=${amount},
                         data-currency=${currency}'
				data-name='MyCrypto' data-description='Donate for a good mood'
				data-image='http://arizonapetvet.com/blog/wp-content/uploads/2016/09/Happy-cat.jpg'
				data-locale='auto' data-zip-code='false'>
				
			</script>
			<script type="text/javascript">
		        document.getElementsByClassName("stripe-button-el")[0].style.display = 'none';
		    </script>
		  <div> <button type="submit"  class="btn btn-primary btn-lg btn-block">Donate</button></div> 
		</form>
	</div>
</body>
<footer class="page-footer font-small unique-color-dark pt-4">

	<!-- Footer Elements -->
	<div class="container">

		<!-- Call to action -->
		<ul class="list-unstyled list-inline text-center py-2">
			<li class="list-inline-item">
				<h5 class="mb-1">Register for free</h5>
			</li>
			<li class="list-inline-item"><a th:href="@{/login}"
				class="btn btn-outline-white btn-rounded">Sign up!</a></li>
		</ul>


	</div>

	<div class="footer-copyright text-center py-3">© 2019 MyCrypt</div>


</footer>
</html>